﻿using System;
using Infrastructure;
using Infrastructure.Entities;
using Infrastructure.Stub;
using Microsoft.Data.Sqlite;
using Microsoft.EntityFrameworkCore;

var connection = new SqliteConnection("DataSource=:memory:");
connection.Open();
var options = new DbContextOptionsBuilder<OptifitDbContext>()
    .UseSqlite(connection)
    .Options;

await using (var context = new StubbedContext(options))
{
    Console.WriteLine("\n============Users============");
    //Display all users
    var users = await context.Users.ToListAsync();
    Console.WriteLine("Diplay the Users: (Tolal:" + users.Count + ")");
    foreach (var userEntity in users) Console.WriteLine(userEntity);
}

connection.Close();