using Infrastructure.Entities;
using Server.Dto.Request;
using Server.Dto.Response;
using Shared;

namespace Server.IServices;

public interface IUsersService
{
    Task<ResponseUserDto?> GetUserById(string id);
    Task<PaginatedResult<ResponseUserDto>> GetUsers(int page, int size, bool ascending = true);
}